Name: x11-driver-input-evdev
Version: 2.7.0
Release: %mkrel 1
Summary: X.org input driver for Linux generic event devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: xf86-input-evdev-%{version}.tar.bz2

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: udev-devel
Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: x11-server < 1.4

Obsoletes: imwheel

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.


%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-evdev-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/evdev_drv.la
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.*

%files devel
%{_includedir}/xorg/evdev-properties.h
%{_libdir}/pkgconfig/xorg-evdev.pc




%changelog

* Fri Mar 09 2012 tv <tv> 2.7.0-1.mga2
+ Revision: 222301
- BuildRequires: udev-devel
- new release

* Tue Dec 06 2011 tmb <tmb> 2.6.0-6.mga2
+ Revision: 177436
- submit to core/release

* Sat Oct 08 2011 tv <tv> 2.6.0-5.mga2
+ Revision: 153309
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 2.6.0-4.mga2
+ Revision: 153293
- really rebuild for xserver-1.11

* Sat Oct 08 2011 colin <colin> 2.6.0-3.mga2
+ Revision: 153026
- Rebuild for new x11-server

* Fri Mar 04 2011 tv <tv> 2.6.0-2.mga1
+ Revision: 64372
- rebuild for new xserver-1.10

* Thu Jan 20 2011 pterjan <pterjan> 2.6.0-1.mga1
+ Revision: 25638
- imported package x11-driver-input-evdev

